Name:		magicgrafnet
Version:	0.1
Release:	5%{?dist}
Summary:	Grafana network dashboard management scripts.

Group:		Applications/System
License:	GPL
URL:		http://www.magic.fr
Source0:	%{name}-%{version}.tar.gz
Requires:	magicmodperl, magicmonlister
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
Grafana network dashboard management scripts.

%prep
%setup

%build

%pre

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/home/sdfrance/perl/
mkdir -p %{buildroot}/home/sdfrance/www/

install -m 755 scripts/* %{buildroot}/home/sdfrance/perl/
install -p -m 755 grafananet.tar.gz  %{buildroot}/home/sdfrance/www
install -p -m 755 net.tar.gz  %{buildroot}/home/sdfrance/perl

%postun

%post

if [ $1 -eq 1 ]; then
cd /home/sdfrance/www
tar -xzf grafananet.tar.gz
cd /home/sdfrance/perl
tar -xzf net.tar.gz
fi

if [ -z "$(cat /etc/passwd | grep sdfrance)" ]; then
    useradd -s /bin/bash -m sdfrance
fi

rm -rf /home/sdfrance/www/grafananet.tar.gz
rm -rf /home/sdfrance/perl/net.tar.gz

chown -R sdfrance:users /home/sdfrance/perl/
chown -R sdfrance:users /home/sdfrance/www/grafananet


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace)/home/sdfrance/perl/net_router_render_desc.pl
%config(noreplace)/home/sdfrance/perl/net_switchs_render_desc.pl
%config(noreplace)/home/sdfrance/perl/net_unactif.pl
%config(noreplace)/home/sdfrance/perl/cassnet.pl
#%doc README.md
/home/sdfrance/www/
/home/sdfrance/perl/


%changelog
* Wed Apr 01 2015 Adnane RABIH <arabih@magic.fr> 0.1-5
- compressing net and grafananet folders.
* Wed Apr 01 2015 Adnane RABIH <arabih@magic.fr> 0.1-4
- permissions atributes to sdfrance user.
* Tue Mar 31 2015 Adnane RABIH <arabih@magic.fr> 0.1-3
- removing perl alerter from the requirements.
* Mon Mar 30 2015 Adnane RABIH <arabih@magic.fr> 0.1-2
- grouping scripts.
* Mon Mar 30 2015 Adnane RABIH <arabih@magic.fr> 0.1-1
- initial build.

